import { z } from "zod";

export const createProductRequestSchema = z.object({
  body: z.object({
    name: z.string().min(1).max(255),
    description: z.string().optional(),
    price: z.number().positive(),
  }),
});

// TASK 7: Define validation schemas for all other requests
